Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network157.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
157.0.0.0
Broadcast address
157.255.255.255
First usable
157.0.0.1
Last usable
157.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex 9D000000 · Integer 2634022912 to 2650800127
Reverse DNS zone
157.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011101..00000000.00000000.00000000157.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10011101..00000000.00000000.00000000157.0.0.0
Broadcast10011101..11111111.11111111.11111111157.255.255.255
Split into smaller subnets/16

157.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1157.0.0.0/16157.0.0.1 to 157.0.255.254157.0.255.25565,534
2157.1.0.0/16157.1.0.1 to 157.1.255.254157.1.255.25565,534
3157.2.0.0/16157.2.0.1 to 157.2.255.254157.2.255.25565,534
4157.3.0.0/16157.3.0.1 to 157.3.255.254157.3.255.25565,534
5157.4.0.0/16157.4.0.1 to 157.4.255.254157.4.255.25565,534
6157.5.0.0/16157.5.0.1 to 157.5.255.254157.5.255.25565,534
7157.6.0.0/16157.6.0.1 to 157.6.255.254157.6.255.25565,534
8157.7.0.0/16157.7.0.1 to 157.7.255.254157.7.255.25565,534
9157.8.0.0/16157.8.0.1 to 157.8.255.254157.8.255.25565,534
10157.9.0.0/16157.9.0.1 to 157.9.255.254157.9.255.25565,534
11157.10.0.0/16157.10.0.1 to 157.10.255.254157.10.255.25565,534
12157.11.0.0/16157.11.0.1 to 157.11.255.254157.11.255.25565,534
13157.12.0.0/16157.12.0.1 to 157.12.255.254157.12.255.25565,534
14157.13.0.0/16157.13.0.1 to 157.13.255.254157.13.255.25565,534
15157.14.0.0/16157.14.0.1 to 157.14.255.254157.14.255.25565,534
16157.15.0.0/16157.15.0.1 to 157.15.255.254157.15.255.25565,534
17157.16.0.0/16157.16.0.1 to 157.16.255.254157.16.255.25565,534
18157.17.0.0/16157.17.0.1 to 157.17.255.254157.17.255.25565,534
19157.18.0.0/16157.18.0.1 to 157.18.255.254157.18.255.25565,534
20157.19.0.0/16157.19.0.1 to 157.19.255.254157.19.255.25565,534
21157.20.0.0/16157.20.0.1 to 157.20.255.254157.20.255.25565,534
22157.21.0.0/16157.21.0.1 to 157.21.255.254157.21.255.25565,534
23157.22.0.0/16157.22.0.1 to 157.22.255.254157.22.255.25565,534
24157.23.0.0/16157.23.0.1 to 157.23.255.254157.23.255.25565,534
25157.24.0.0/16157.24.0.1 to 157.24.255.254157.24.255.25565,534
26157.25.0.0/16157.25.0.1 to 157.25.255.254157.25.255.25565,534
27157.26.0.0/16157.26.0.1 to 157.26.255.254157.26.255.25565,534
28157.27.0.0/16157.27.0.1 to 157.27.255.254157.27.255.25565,534
29157.28.0.0/16157.28.0.1 to 157.28.255.254157.28.255.25565,534
30157.29.0.0/16157.29.0.1 to 157.29.255.254157.29.255.25565,534
31157.30.0.0/16157.30.0.1 to 157.30.255.254157.30.255.25565,534
32157.31.0.0/16157.31.0.1 to 157.31.255.254157.31.255.25565,534
33157.32.0.0/16157.32.0.1 to 157.32.255.254157.32.255.25565,534
34157.33.0.0/16157.33.0.1 to 157.33.255.254157.33.255.25565,534
35157.34.0.0/16157.34.0.1 to 157.34.255.254157.34.255.25565,534
36157.35.0.0/16157.35.0.1 to 157.35.255.254157.35.255.25565,534
37157.36.0.0/16157.36.0.1 to 157.36.255.254157.36.255.25565,534
38157.37.0.0/16157.37.0.1 to 157.37.255.254157.37.255.25565,534
39157.38.0.0/16157.38.0.1 to 157.38.255.254157.38.255.25565,534
40157.39.0.0/16157.39.0.1 to 157.39.255.254157.39.255.25565,534
41157.40.0.0/16157.40.0.1 to 157.40.255.254157.40.255.25565,534
42157.41.0.0/16157.41.0.1 to 157.41.255.254157.41.255.25565,534
43157.42.0.0/16157.42.0.1 to 157.42.255.254157.42.255.25565,534
44157.43.0.0/16157.43.0.1 to 157.43.255.254157.43.255.25565,534
45157.44.0.0/16157.44.0.1 to 157.44.255.254157.44.255.25565,534
46157.45.0.0/16157.45.0.1 to 157.45.255.254157.45.255.25565,534
47157.46.0.0/16157.46.0.1 to 157.46.255.254157.46.255.25565,534
48157.47.0.0/16157.47.0.1 to 157.47.255.254157.47.255.25565,534
49157.48.0.0/16157.48.0.1 to 157.48.255.254157.48.255.25565,534
50157.49.0.0/16157.49.0.1 to 157.49.255.254157.49.255.25565,534
51157.50.0.0/16157.50.0.1 to 157.50.255.254157.50.255.25565,534
52157.51.0.0/16157.51.0.1 to 157.51.255.254157.51.255.25565,534
53157.52.0.0/16157.52.0.1 to 157.52.255.254157.52.255.25565,534
54157.53.0.0/16157.53.0.1 to 157.53.255.254157.53.255.25565,534
55157.54.0.0/16157.54.0.1 to 157.54.255.254157.54.255.25565,534
56157.55.0.0/16157.55.0.1 to 157.55.255.254157.55.255.25565,534
57157.56.0.0/16157.56.0.1 to 157.56.255.254157.56.255.25565,534
58157.57.0.0/16157.57.0.1 to 157.57.255.254157.57.255.25565,534
59157.58.0.0/16157.58.0.1 to 157.58.255.254157.58.255.25565,534
60157.59.0.0/16157.59.0.1 to 157.59.255.254157.59.255.25565,534
61157.60.0.0/16157.60.0.1 to 157.60.255.254157.60.255.25565,534
62157.61.0.0/16157.61.0.1 to 157.61.255.254157.61.255.25565,534
63157.62.0.0/16157.62.0.1 to 157.62.255.254157.62.255.25565,534
64157.63.0.0/16157.63.0.1 to 157.63.255.254157.63.255.25565,534
65157.64.0.0/16157.64.0.1 to 157.64.255.254157.64.255.25565,534
66157.65.0.0/16157.65.0.1 to 157.65.255.254157.65.255.25565,534
67157.66.0.0/16157.66.0.1 to 157.66.255.254157.66.255.25565,534
68157.67.0.0/16157.67.0.1 to 157.67.255.254157.67.255.25565,534
69157.68.0.0/16157.68.0.1 to 157.68.255.254157.68.255.25565,534
70157.69.0.0/16157.69.0.1 to 157.69.255.254157.69.255.25565,534
71157.70.0.0/16157.70.0.1 to 157.70.255.254157.70.255.25565,534
72157.71.0.0/16157.71.0.1 to 157.71.255.254157.71.255.25565,534
73157.72.0.0/16157.72.0.1 to 157.72.255.254157.72.255.25565,534
74157.73.0.0/16157.73.0.1 to 157.73.255.254157.73.255.25565,534
75157.74.0.0/16157.74.0.1 to 157.74.255.254157.74.255.25565,534
76157.75.0.0/16157.75.0.1 to 157.75.255.254157.75.255.25565,534
77157.76.0.0/16157.76.0.1 to 157.76.255.254157.76.255.25565,534
78157.77.0.0/16157.77.0.1 to 157.77.255.254157.77.255.25565,534
79157.78.0.0/16157.78.0.1 to 157.78.255.254157.78.255.25565,534
80157.79.0.0/16157.79.0.1 to 157.79.255.254157.79.255.25565,534
81157.80.0.0/16157.80.0.1 to 157.80.255.254157.80.255.25565,534
82157.81.0.0/16157.81.0.1 to 157.81.255.254157.81.255.25565,534
83157.82.0.0/16157.82.0.1 to 157.82.255.254157.82.255.25565,534
84157.83.0.0/16157.83.0.1 to 157.83.255.254157.83.255.25565,534
85157.84.0.0/16157.84.0.1 to 157.84.255.254157.84.255.25565,534
86157.85.0.0/16157.85.0.1 to 157.85.255.254157.85.255.25565,534
87157.86.0.0/16157.86.0.1 to 157.86.255.254157.86.255.25565,534
88157.87.0.0/16157.87.0.1 to 157.87.255.254157.87.255.25565,534
89157.88.0.0/16157.88.0.1 to 157.88.255.254157.88.255.25565,534
90157.89.0.0/16157.89.0.1 to 157.89.255.254157.89.255.25565,534
91157.90.0.0/16157.90.0.1 to 157.90.255.254157.90.255.25565,534
92157.91.0.0/16157.91.0.1 to 157.91.255.254157.91.255.25565,534
93157.92.0.0/16157.92.0.1 to 157.92.255.254157.92.255.25565,534
94157.93.0.0/16157.93.0.1 to 157.93.255.254157.93.255.25565,534
95157.94.0.0/16157.94.0.1 to 157.94.255.254157.94.255.25565,534
96157.95.0.0/16157.95.0.1 to 157.95.255.254157.95.255.25565,534
97157.96.0.0/16157.96.0.1 to 157.96.255.254157.96.255.25565,534
98157.97.0.0/16157.97.0.1 to 157.97.255.254157.97.255.25565,534
99157.98.0.0/16157.98.0.1 to 157.98.255.254157.98.255.25565,534
100157.99.0.0/16157.99.0.1 to 157.99.255.254157.99.255.25565,534
101157.100.0.0/16157.100.0.1 to 157.100.255.254157.100.255.25565,534
102157.101.0.0/16157.101.0.1 to 157.101.255.254157.101.255.25565,534
103157.102.0.0/16157.102.0.1 to 157.102.255.254157.102.255.25565,534
104157.103.0.0/16157.103.0.1 to 157.103.255.254157.103.255.25565,534
105157.104.0.0/16157.104.0.1 to 157.104.255.254157.104.255.25565,534
106157.105.0.0/16157.105.0.1 to 157.105.255.254157.105.255.25565,534
107157.106.0.0/16157.106.0.1 to 157.106.255.254157.106.255.25565,534
108157.107.0.0/16157.107.0.1 to 157.107.255.254157.107.255.25565,534
109157.108.0.0/16157.108.0.1 to 157.108.255.254157.108.255.25565,534
110157.109.0.0/16157.109.0.1 to 157.109.255.254157.109.255.25565,534
111157.110.0.0/16157.110.0.1 to 157.110.255.254157.110.255.25565,534
112157.111.0.0/16157.111.0.1 to 157.111.255.254157.111.255.25565,534
113157.112.0.0/16157.112.0.1 to 157.112.255.254157.112.255.25565,534
114157.113.0.0/16157.113.0.1 to 157.113.255.254157.113.255.25565,534
115157.114.0.0/16157.114.0.1 to 157.114.255.254157.114.255.25565,534
116157.115.0.0/16157.115.0.1 to 157.115.255.254157.115.255.25565,534
117157.116.0.0/16157.116.0.1 to 157.116.255.254157.116.255.25565,534
118157.117.0.0/16157.117.0.1 to 157.117.255.254157.117.255.25565,534
119157.118.0.0/16157.118.0.1 to 157.118.255.254157.118.255.25565,534
120157.119.0.0/16157.119.0.1 to 157.119.255.254157.119.255.25565,534
121157.120.0.0/16157.120.0.1 to 157.120.255.254157.120.255.25565,534
122157.121.0.0/16157.121.0.1 to 157.121.255.254157.121.255.25565,534
123157.122.0.0/16157.122.0.1 to 157.122.255.254157.122.255.25565,534
124157.123.0.0/16157.123.0.1 to 157.123.255.254157.123.255.25565,534
125157.124.0.0/16157.124.0.1 to 157.124.255.254157.124.255.25565,534
126157.125.0.0/16157.125.0.1 to 157.125.255.254157.125.255.25565,534
127157.126.0.0/16157.126.0.1 to 157.126.255.254157.126.255.25565,534
128157.127.0.0/16157.127.0.1 to 157.127.255.254157.127.255.25565,534
129157.128.0.0/16157.128.0.1 to 157.128.255.254157.128.255.25565,534
130157.129.0.0/16157.129.0.1 to 157.129.255.254157.129.255.25565,534
131157.130.0.0/16157.130.0.1 to 157.130.255.254157.130.255.25565,534
132157.131.0.0/16157.131.0.1 to 157.131.255.254157.131.255.25565,534
133157.132.0.0/16157.132.0.1 to 157.132.255.254157.132.255.25565,534
134157.133.0.0/16157.133.0.1 to 157.133.255.254157.133.255.25565,534
135157.134.0.0/16157.134.0.1 to 157.134.255.254157.134.255.25565,534
136157.135.0.0/16157.135.0.1 to 157.135.255.254157.135.255.25565,534
137157.136.0.0/16157.136.0.1 to 157.136.255.254157.136.255.25565,534
138157.137.0.0/16157.137.0.1 to 157.137.255.254157.137.255.25565,534
139157.138.0.0/16157.138.0.1 to 157.138.255.254157.138.255.25565,534
140157.139.0.0/16157.139.0.1 to 157.139.255.254157.139.255.25565,534
141157.140.0.0/16157.140.0.1 to 157.140.255.254157.140.255.25565,534
142157.141.0.0/16157.141.0.1 to 157.141.255.254157.141.255.25565,534
143157.142.0.0/16157.142.0.1 to 157.142.255.254157.142.255.25565,534
144157.143.0.0/16157.143.0.1 to 157.143.255.254157.143.255.25565,534
145157.144.0.0/16157.144.0.1 to 157.144.255.254157.144.255.25565,534
146157.145.0.0/16157.145.0.1 to 157.145.255.254157.145.255.25565,534
147157.146.0.0/16157.146.0.1 to 157.146.255.254157.146.255.25565,534
148157.147.0.0/16157.147.0.1 to 157.147.255.254157.147.255.25565,534
149157.148.0.0/16157.148.0.1 to 157.148.255.254157.148.255.25565,534
150157.149.0.0/16157.149.0.1 to 157.149.255.254157.149.255.25565,534
151157.150.0.0/16157.150.0.1 to 157.150.255.254157.150.255.25565,534
152157.151.0.0/16157.151.0.1 to 157.151.255.254157.151.255.25565,534
153157.152.0.0/16157.152.0.1 to 157.152.255.254157.152.255.25565,534
154157.153.0.0/16157.153.0.1 to 157.153.255.254157.153.255.25565,534
155157.154.0.0/16157.154.0.1 to 157.154.255.254157.154.255.25565,534
156157.155.0.0/16157.155.0.1 to 157.155.255.254157.155.255.25565,534
157157.156.0.0/16157.156.0.1 to 157.156.255.254157.156.255.25565,534
158157.157.0.0/16157.157.0.1 to 157.157.255.254157.157.255.25565,534
159157.158.0.0/16157.158.0.1 to 157.158.255.254157.158.255.25565,534
160157.159.0.0/16157.159.0.1 to 157.159.255.254157.159.255.25565,534
161157.160.0.0/16157.160.0.1 to 157.160.255.254157.160.255.25565,534
162157.161.0.0/16157.161.0.1 to 157.161.255.254157.161.255.25565,534
163157.162.0.0/16157.162.0.1 to 157.162.255.254157.162.255.25565,534
164157.163.0.0/16157.163.0.1 to 157.163.255.254157.163.255.25565,534
165157.164.0.0/16157.164.0.1 to 157.164.255.254157.164.255.25565,534
166157.165.0.0/16157.165.0.1 to 157.165.255.254157.165.255.25565,534
167157.166.0.0/16157.166.0.1 to 157.166.255.254157.166.255.25565,534
168157.167.0.0/16157.167.0.1 to 157.167.255.254157.167.255.25565,534
169157.168.0.0/16157.168.0.1 to 157.168.255.254157.168.255.25565,534
170157.169.0.0/16157.169.0.1 to 157.169.255.254157.169.255.25565,534
171157.170.0.0/16157.170.0.1 to 157.170.255.254157.170.255.25565,534
172157.171.0.0/16157.171.0.1 to 157.171.255.254157.171.255.25565,534
173157.172.0.0/16157.172.0.1 to 157.172.255.254157.172.255.25565,534
174157.173.0.0/16157.173.0.1 to 157.173.255.254157.173.255.25565,534
175157.174.0.0/16157.174.0.1 to 157.174.255.254157.174.255.25565,534
176157.175.0.0/16157.175.0.1 to 157.175.255.254157.175.255.25565,534
177157.176.0.0/16157.176.0.1 to 157.176.255.254157.176.255.25565,534
178157.177.0.0/16157.177.0.1 to 157.177.255.254157.177.255.25565,534
179157.178.0.0/16157.178.0.1 to 157.178.255.254157.178.255.25565,534
180157.179.0.0/16157.179.0.1 to 157.179.255.254157.179.255.25565,534
181157.180.0.0/16157.180.0.1 to 157.180.255.254157.180.255.25565,534
182157.181.0.0/16157.181.0.1 to 157.181.255.254157.181.255.25565,534
183157.182.0.0/16157.182.0.1 to 157.182.255.254157.182.255.25565,534
184157.183.0.0/16157.183.0.1 to 157.183.255.254157.183.255.25565,534
185157.184.0.0/16157.184.0.1 to 157.184.255.254157.184.255.25565,534
186157.185.0.0/16157.185.0.1 to 157.185.255.254157.185.255.25565,534
187157.186.0.0/16157.186.0.1 to 157.186.255.254157.186.255.25565,534
188157.187.0.0/16157.187.0.1 to 157.187.255.254157.187.255.25565,534
189157.188.0.0/16157.188.0.1 to 157.188.255.254157.188.255.25565,534
190157.189.0.0/16157.189.0.1 to 157.189.255.254157.189.255.25565,534
191157.190.0.0/16157.190.0.1 to 157.190.255.254157.190.255.25565,534
192157.191.0.0/16157.191.0.1 to 157.191.255.254157.191.255.25565,534
193157.192.0.0/16157.192.0.1 to 157.192.255.254157.192.255.25565,534
194157.193.0.0/16157.193.0.1 to 157.193.255.254157.193.255.25565,534
195157.194.0.0/16157.194.0.1 to 157.194.255.254157.194.255.25565,534
196157.195.0.0/16157.195.0.1 to 157.195.255.254157.195.255.25565,534
197157.196.0.0/16157.196.0.1 to 157.196.255.254157.196.255.25565,534
198157.197.0.0/16157.197.0.1 to 157.197.255.254157.197.255.25565,534
199157.198.0.0/16157.198.0.1 to 157.198.255.254157.198.255.25565,534
200157.199.0.0/16157.199.0.1 to 157.199.255.254157.199.255.25565,534
201157.200.0.0/16157.200.0.1 to 157.200.255.254157.200.255.25565,534
202157.201.0.0/16157.201.0.1 to 157.201.255.254157.201.255.25565,534
203157.202.0.0/16157.202.0.1 to 157.202.255.254157.202.255.25565,534
204157.203.0.0/16157.203.0.1 to 157.203.255.254157.203.255.25565,534
205157.204.0.0/16157.204.0.1 to 157.204.255.254157.204.255.25565,534
206157.205.0.0/16157.205.0.1 to 157.205.255.254157.205.255.25565,534
207157.206.0.0/16157.206.0.1 to 157.206.255.254157.206.255.25565,534
208157.207.0.0/16157.207.0.1 to 157.207.255.254157.207.255.25565,534
209157.208.0.0/16157.208.0.1 to 157.208.255.254157.208.255.25565,534
210157.209.0.0/16157.209.0.1 to 157.209.255.254157.209.255.25565,534
211157.210.0.0/16157.210.0.1 to 157.210.255.254157.210.255.25565,534
212157.211.0.0/16157.211.0.1 to 157.211.255.254157.211.255.25565,534
213157.212.0.0/16157.212.0.1 to 157.212.255.254157.212.255.25565,534
214157.213.0.0/16157.213.0.1 to 157.213.255.254157.213.255.25565,534
215157.214.0.0/16157.214.0.1 to 157.214.255.254157.214.255.25565,534
216157.215.0.0/16157.215.0.1 to 157.215.255.254157.215.255.25565,534
217157.216.0.0/16157.216.0.1 to 157.216.255.254157.216.255.25565,534
218157.217.0.0/16157.217.0.1 to 157.217.255.254157.217.255.25565,534
219157.218.0.0/16157.218.0.1 to 157.218.255.254157.218.255.25565,534
220157.219.0.0/16157.219.0.1 to 157.219.255.254157.219.255.25565,534
221157.220.0.0/16157.220.0.1 to 157.220.255.254157.220.255.25565,534
222157.221.0.0/16157.221.0.1 to 157.221.255.254157.221.255.25565,534
223157.222.0.0/16157.222.0.1 to 157.222.255.254157.222.255.25565,534
224157.223.0.0/16157.223.0.1 to 157.223.255.254157.223.255.25565,534
225157.224.0.0/16157.224.0.1 to 157.224.255.254157.224.255.25565,534
226157.225.0.0/16157.225.0.1 to 157.225.255.254157.225.255.25565,534
227157.226.0.0/16157.226.0.1 to 157.226.255.254157.226.255.25565,534
228157.227.0.0/16157.227.0.1 to 157.227.255.254157.227.255.25565,534
229157.228.0.0/16157.228.0.1 to 157.228.255.254157.228.255.25565,534
230157.229.0.0/16157.229.0.1 to 157.229.255.254157.229.255.25565,534
231157.230.0.0/16157.230.0.1 to 157.230.255.254157.230.255.25565,534
232157.231.0.0/16157.231.0.1 to 157.231.255.254157.231.255.25565,534
233157.232.0.0/16157.232.0.1 to 157.232.255.254157.232.255.25565,534
234157.233.0.0/16157.233.0.1 to 157.233.255.254157.233.255.25565,534
235157.234.0.0/16157.234.0.1 to 157.234.255.254157.234.255.25565,534
236157.235.0.0/16157.235.0.1 to 157.235.255.254157.235.255.25565,534
237157.236.0.0/16157.236.0.1 to 157.236.255.254157.236.255.25565,534
238157.237.0.0/16157.237.0.1 to 157.237.255.254157.237.255.25565,534
239157.238.0.0/16157.238.0.1 to 157.238.255.254157.238.255.25565,534
240157.239.0.0/16157.239.0.1 to 157.239.255.254157.239.255.25565,534
241157.240.0.0/16157.240.0.1 to 157.240.255.254157.240.255.25565,534
242157.241.0.0/16157.241.0.1 to 157.241.255.254157.241.255.25565,534
243157.242.0.0/16157.242.0.1 to 157.242.255.254157.242.255.25565,534
244157.243.0.0/16157.243.0.1 to 157.243.255.254157.243.255.25565,534
245157.244.0.0/16157.244.0.1 to 157.244.255.254157.244.255.25565,534
246157.245.0.0/16157.245.0.1 to 157.245.255.254157.245.255.25565,534
247157.246.0.0/16157.246.0.1 to 157.246.255.254157.246.255.25565,534
248157.247.0.0/16157.247.0.1 to 157.247.255.254157.247.255.25565,534
249157.248.0.0/16157.248.0.1 to 157.248.255.254157.248.255.25565,534
250157.249.0.0/16157.249.0.1 to 157.249.255.254157.249.255.25565,534
251157.250.0.0/16157.250.0.1 to 157.250.255.254157.250.255.25565,534
252157.251.0.0/16157.251.0.1 to 157.251.255.254157.251.255.25565,534
253157.252.0.0/16157.252.0.1 to 157.252.255.254157.252.255.25565,534
254157.253.0.0/16157.253.0.1 to 157.253.255.254157.253.255.25565,534
255157.254.0.0/16157.254.0.1 to 157.254.255.254157.254.255.25565,534
256157.255.0.0/16157.255.0.1 to 157.255.255.254157.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses